Main Page glibmm Namespaces Book

# Glib::ValueBase_Object Class Reference
[Generic Values]

Inheritance diagram for Glib::ValueBase_Object:

[legend]

List of all members.

## Static Public Member Functions
static GType | value_type () G_GNUC_CONST
## Protected Member Functions
void | set_object (Glib::ObjectBase* data)
Glib::ObjectBase* | get_object () const
Glib::RefPtr<Glib::ObjectBase> | get_object_copy () const

## Member Function Documentation

static GType Glib::ValueBase_Object::value_type | ( |  | ) | `[static]`

Reimplemented in Glib::Value_Pointer<T, PtrT>, Glib::Value_Pointer<T, T*>, and Glib::Value_Pointer<const T, T*>.

void Glib::ValueBase_Object::set_object | ( | Glib::ObjectBase* | data | ) | `[protected]`

Glib::ObjectBase* Glib::ValueBase_Object::get_object | ( |  | ) | const`[protected]`

Glib::RefPtr<Glib::ObjectBase> Glib::ValueBase_Object::get_object_copy | ( |  | ) | const`[protected]`

The documentation for this class was generated from the following file:

- value.h